Maikman83
Occasional Observer

Verwendete Java Version des SiteArchitect

Hallo Community,

ich bin Mac-User und mir ist aufgefallen, dass entgegen der Java Version, die im System eingestellt ist, der SiteArchitect eine andere (neuere) nimmt.

System:

Bildschirmfoto 2021-10-07 um 13.18.25.png

FS SiteArchitect:

Bildschirmfoto 2021-10-07 um 13.19.36.png

Prinzipiell ist das kein Problem, aber die Version vom SiteArchitect setzt halt auf gewisse Java8 Features, die in Java11 nicht mehr vorhanden sind. Und solange wir da im Projekt kein Update erfahren, wäre es halt schön, auch mit der entsprechenden Version zu arbeiten.

Von daher wäre die Frage, warum der SiteArchitect Java11 nimmt und wie ich das beeinflussen kann?

Danke, Maik

Labels (1)
0 Kudos
1 Reply
hoebbel
Crownpeak employee
Crownpeak employee

Re: Verwendete Java Version des SiteArchitect

Hallo Maik,

die Java Version, die vom SiteArchitect verwendet wird, wird vom Server herunterladen, wenn der FirstSpirit Launcher verwendet wird.

Der einfachste Weg, diese Version zu ändern ist es, dass Modul "fs-launcher-jre" einzusetzen.

Da in den aktuellen FirstSpirit Versionen Java 8 nicht mehr unterstützt wird, benötigst Du eine ausreichend alte Version des Moduls (1.10 oder älter, wenn ich mich nicht irre).

Anmerkung: Aktuell ist die Version 1.19, die Java 16 beinhaltet.

Dieses Modul muss auf dem Server installiert werden und in seinen Einstellungen kann man definieren, welche der mitgelieferten Java Versionen für Windows und/oder Mac OS genutzt werden sollen.

Bitte wende dich an unseren TechSupport, damit dieser Dir eine entsprechende Version zur Verfügung stellt.

Viele Grüße

Holger

0 Kudos